#!/usr/bin/env python3

import os
import sys

# Import helper functions
sys.path.append(os.path.join(os.path.expanduser("~/.dotfiles"), "bin"))
from helpers.functions import printfe, println, logo


def main():
    # Print logo
    logo(continue_after=True)

    # Print help
    dotfiles_path = os.environ.get("DOTFILES_PATH", os.path.expanduser("~/.dotfiles"))
    try:
        with open(f"{dotfiles_path}/bin/resources/help.txt", "r") as f:
            help_text = f.read()
        print(help_text)
    except Exception as e:
        printfe("red", f"Error reading help file: {e}")
        return 1

    println(" ", "cyan")
    return 0


if __name__ == "__main__":
    sys.exit(main())
