{ config, pkgs, ... }:
{
  # GTK Theme
  gtk = {
    enable = true;

    iconTheme = {
      name = "Yaru";
    };

    theme = {
      name = "Yaru-dark";
    };

    cursorTheme = {
      name = "Yaru";
    };

    gtk3.extraConfig = {
      Settings = ''
        gtk-application-prefer-dark-theme=1
      '';
    };

    gtk4.extraConfig = {
      Settings = ''
        gtk-application-prefer-dark-theme=1
      '';
    };
  };
  # Only apply dconf settings if running GNOME
  dconf = pkgs.lib.mkIf (builtins.getEnv "XDG_CURRENT_DESKTOP" == "GNOME") {
    enable = true;
    settings = {
      "org/gnome/desktop/background" = {
        show-desktop-icons = true;
      };

      "org/gnome/desktop/applications/file-manager" = {
        exec = "nautilus";
      };

      "org/gnome/desktop/interface" = {
        color-scheme = "prefer-dark";
        font-name = "Hack Nerd Font 11";
        monospace-font-name = "Hack Nerd Font Mono 10";
        document-font-name = "Hack Nerd Font 11";
      };

      # Pinned apps
      "org/gnome/shell" = {
        favorite-apps = [
          "firefox.desktop"
          "nemo.desktop"
          "com.spotify.Client.desktop"
          "signal-desktop.desktop"
          "whatsapp-desktop-client_whatsapp-desktop-client.desktop"
          "telegram-desktop_telegram-desktop.desktop"
          "code.desktop"
          "vesktop.desktop"
          "scrcpy.desktop"
        ];
      };

      # GNOME Terminal settings
      "org/gnome/Console" = {
        use-system-font = false;
        custom-font = "Hack Nerd Font 13";
        theme = "night";
      };

      # Set wallpaper
      "org/gnome/desktop/background" = {
        picture-uri-dark = "file:///usr/share/backgrounds/Ubuntu_Legacy_by_Aaron_J_Prisk_dark.png";
        picture-uri = "file:///usr/share/backgrounds/Ubuntu_Legacy_by_Aaron_J_Prisk_light.png";
        picture-options = "zoom";
        primary-color = "#000000";
      };
    };
  };

}
