{ pkgs, lib, ... }:

lib.mkIf (builtins.match ".*GNOME.*" (builtins.getEnv "XDG_CURRENT_DESKTOP") != null) {
  dconf.settings = {
    "org/gnome/shell/keybindings" = {
      show-screenshot-ui = [
        "Print"
        "<Shift><Alt>4"
      ];
    };

    "org/gnome/settings-daemon/plugins/media-keys" = {
      volume-step = 2;
      custom-keybindings = [
        "/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/1password-quick-access/"
        "/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/missioncenter/"
        "/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/terminal/"
        "/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/emotes/"
        "/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/frog/"
        "/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/ulauncher/"
      ];
    };
    "org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/1password-quick-access" = {
      binding = "<Ctrl><Alt>space";
      command = "1password --quick-access";
      name = "1password-quick-access";
    };
    "org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/missioncenter" = {
      binding = "<Ctrl><Shift>Escape";
      command = "missioncenter";
      name = "missioncenter";
    };
    "org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/emotes" = {
      binding = "<Super>e";
      command = "smile";
      name = "emotes";
    };
  };
}
